Установка Viber в Ubuntu 18.04 / MInt 19

Всем привет, если  вы оказались здесь значит у вас случилась точно такая же проблема как и у меня — viber.deb  который скачан с официального сайта вайбер не хочет устанавливаться по умолчанию, ошибки разные но причина одна, отсутствие библиотеки  libcurl3  и все потому что Ubuntu 18.04 и ее сателиты используют libcurl4. Вторая проблема в том, что глубоко уважаемая компания разработчиков viber —  Rakuten похоже периодически забивает на обновление и доработку клиента viber для Linux.  Вышла 7 версия, работает?  Ну и хорошо, не будем трогать…  Но не все так однозначно.  С выходом Ubuntu 18.04 возникла проблема с оъявленой зависимостью libcurl3, которой попросту нет. Конечно можно найти эту библиотеку, скачать и установить ее отдельно, но зачем если можно просто пофиксить viber.deb пакет. Ничего сложного нет,  приступим.
ВНИМАНИЕ! Внизу статьи, выложен пропатченый .deb пакет viber, для тех кому лень выполнять инструкцию.

  1. Сохраните себе viber.deb скачанный с сайта Rakuten в удобное для вас место.
  2. Откройте папку, содержащую viber.deb  в терминале
  3. Раскроем упакованный viber.deb  в этой же папке с помощью команды
    dpkg-deb -x viber.deb viber

    Данная команда вскроет deb пакет вайбера в папку viber  текущей директории.

  4. Далее извлекаем управляющий архив в каталог DEBIAN командой
    dpkg-deb --control viber.deb viber/DEBIAN
  5. Открываем на редактирование файл control командой
    sudo nano viber/DEBIAN/control
  6. Находим в пункте Dependency нашу объявленную зависимость «libcurl3»  и заменяем на «libcurl4».
  7.  Запаковываем обратно в .deb наши изменения командой
    sudo dpkg -b viber viber_ubuntu18.04_patched.deb
  8.  Устанавливаем только что созданный и измененный нами deb пакет командой
    sudo dpkg -i viber_ubuntu18.04_patched.deb

Вот таким образом можно просто пофиксить проблему с установкой viber на Ubuntu 18.04 / Mint 19

УЖЕ ПРОПАТЧЕНЫЙ .DEB для тех кому лень выполнять инструкцию. Скачиваем архив, распаковываес, устанавливаем viber_ubuntu18.04_patched.deb.
СКАЧАТЬ PATCHED_VIBER.TAR.GZ

16 комментариев к “Установка Viber в Ubuntu 18.04 / MInt 19”

  1. Владислав

    Огромное спасибо! Я был из тех, кто поленился следовать инструкции, и установил пропатченный Вайбер. Он установился за несколько секунд и работает отлично! Искренне благодарю!

  2. Отличная работа!!!! Спасибо!!!! Все получилось на удивление быстро!!! Автору пропатченного Вайбера — огромный респект!!!

  3. У меня окно вайбера просто огромное не помещается в экран. Уменьшить не удается. Можно ли поправить?

  4. Ubuntu 18.04.1 LTS. Сразу начал ставить Viber, как написано здесь. Но на последнем этапе оказалось, что как раз libcurl4 и нет в системе. Тогда попробовал поставить оригинальный пакет. И он стал, и работает.

Оставьте комментарий

%d такие блоггеры, как: